=== debian/changelog ===
crossbar (21.3.1+dfsg-3) unstable; urgency=medium

  * Use escape from markupsafe (Closes: #1013228)

 -- Bastian Germann <bage@debian.org>  Wed, 14 Sep 2022 16:46:24 +0200

crossbar (21.3.1+dfsg-2) unstable; urgency=medium

  * Source-only reupload

 -- Bastian Germann <bage@debian.org>  Fri, 15 Apr 2022 13:52:50 +0200

crossbar (21.3.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #822183)

 -- Bastian Germann <bage@debian.org>  Thu, 17 Feb 2022 03:18:04 +0100
