=== debian/control ===
Source: crossbar
Section: python
Priority: optional
Maintainer: Bastian Germann <bage@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-setuptools,
 python3-all,
 python3-attr,
 python3-autobahn,
 python3-bitstring,
 python3-bcrypt,
 python3-cbor,
 python3-click,
 python3-colorama,
 python3-constantly,
 python3-cryptography,
 python3-h2,
 python3-idna,
 python3-importlib-resources,
 python3-incremental,
 python3-jinja2,
 python3-lmdb,
 python3-mistune,
 python3-mock,
 python3-netaddr,
 python3-passlib,
 python3-priority,
 python3-psutil,
 python3-ubjson,
 python3-pyasn1-modules,
 python3-pyasn1,
 python3-pygments,
 python3-nacl,
 python3-openssl,
 python3-pyqrcode,
 python3-trie,
 python3-yaml,
 python3-sdnotify,
 python3-setproctitle,
 python3-sphinx,
 python3-sphinxcontrib.spelling,
 python3-sphinxcontrib.websupport,
 python3-treq,
 python3-twisted,
 python3-txaio,
 python3-txtorcon,
 python3-u-msgpack,
 python3-urllib3,
 python3-watchdog,
 python3-werkzeug,
 python3-wsaccel,
 python3-zlmdb,
 python3-zope.interface
Standards-Version: 4.6.0
Homepage: https://github.com/crossbario/crossbar
Vcs-Browser: https://salsa.debian.org/python-team/packages/crossbar
Vcs-Git: https://salsa.debian.org/python-team/packages/crossbar.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-crossbar
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-markupsafe
Suggests: python-crossbar-doc
Description: Multi-protocol application router for microservices (Python 3)
 Crossbar.io is an open source networking platform for distributed and
 microservice applications. It implements the open Web Application Messaging
 Protocol (WAMP), is feature rich, scalable, robust and secure.
 .
 This package installs the library for Python 3.

Package: python-crossbar-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Multi-protocol application router for microservices (common documentation)
 Crossbar.io is an open source networking platform for distributed and
 microservice applications. It implements the open Web Application Messaging
 Protocol (WAMP), is feature rich, scalable, robust and secure.
 .
 This is the common documentation package.
