=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=crossbar

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html

override_dh_compress-indep:
	dh_compress -Xchangelog.html
