=== debian/watch ===
version=4
opts="compression=gzip,repacksuffix=+dfsg,dversionmangle=auto" \
  https://github.com/crossbario/crossbar/tags (?:.*?/)?v(\d[\d\.]*)\.tar\.gz
